%define name	io_lib
%define version 1.8.11
%define release 3mdk
%define major	1
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	General purpose trace file library
License:	GPL
Group:		Development/C
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}.include.patch.bz2
Url:		http://www.mrc-lmb.cam.ac.uk/pubseq/ftp/io_lib
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Io_lib is a library of file reading and writing code to provide a general
purpose trace file (and Experiment File) reading interface. The programmer
simply calls the (eg) read_reading to create a "Read" C structure with the
data loaded into memory.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{libname}-devel
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q
%patch

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -m 644 os.h config.h $RPM_BUILD_ROOT%{_includedir}/%{name}
%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc CHANGES COPYRIGHT NEWS README
%{_bindir}/*

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/*.so

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Thu Jan 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8.11-3mdk
- try to solve include problem

* Wed Jan 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8.11-2mdk
- add missing include file

* Wed Dec 31 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.8.11-1mdk
- first mdk release
